using System.Collections.Generic;

namespace skydiveLogs_api.DomainService.Repositories
{
    public interface IRepository<T>
    {
        #region Public Methods

        int Add(T newEntity);

        IEnumerable<T> GetAll();

        T GetById(int id);

        bool Update(T updated);

        #endregion Public Methods
    }
}